# PhasicFlow: src/phasicFlow/fileSystem/fileSystem.hpp File Reference

fileSystem.hpp File Reference
Include dependency graph for fileSystem.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | fileSystem

## Namespaces

| pFlow

## Typedefs

using | fileSystemList = List< fileSystem >

## Functions

iOstream & | operator<< (iOstream &os, fileSystem fs)
std::ostream & | operator<< (std::ostream &os, fileSystem fs)
fileSystem | operator/ (const fileSystem &fs1, const fileSystem &fs2)
fileSystem | operator+ (const fileSystem &fs1, const word fName)
fileSystem | CWD ()
bool | isDirectory (const fileSystem &path)
bool | isRegularFile (const fileSystem &path)
fileSystemList | subDirectories (const fileSystem &path)
fileSystemList | containingFiles (const fileSystem &path)